IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network127.144.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
127.144.0.0- Broadcast address
127.151.255.255- First usable
127.144.0.1- Last usable
127.151.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Loopback 127.0.0.0/8
This computer - Old class
- A (default /8)
- As numbers
- Hex
7F900000· Integer2140143616to2140667903 - Reverse DNS zones
144.127.in-addr.arpa145.127.in-addr.arpa146.127.in-addr.arpa147.127.in-addr.arpa148.127.in-addr.arpa149.127.in-addr.arpa150.127.in-addr.arpa151.127.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01111111.10010000.00000000.00000000 | 127.144.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 01111111.10010000.00000000.00000000 | 127.144.0.0 |
| Broadcast | 01111111.10010111.11111111.11111111 | 127.151.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
127.144.0.0/13 makes 256 subnets of /21.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 127.144.0.0/21 | 127.144.0.1 to 127.144.7.254 | 127.144.7.255 | 2,046 |
| 2 | 127.144.8.0/21 | 127.144.8.1 to 127.144.15.254 | 127.144.15.255 | 2,046 |
| 3 | 127.144.16.0/21 | 127.144.16.1 to 127.144.23.254 | 127.144.23.255 | 2,046 |
| 4 | 127.144.24.0/21 | 127.144.24.1 to 127.144.31.254 | 127.144.31.255 | 2,046 |
| 5 | 127.144.32.0/21 | 127.144.32.1 to 127.144.39.254 | 127.144.39.255 | 2,046 |
| 6 | 127.144.40.0/21 | 127.144.40.1 to 127.144.47.254 | 127.144.47.255 | 2,046 |
| 7 | 127.144.48.0/21 | 127.144.48.1 to 127.144.55.254 | 127.144.55.255 | 2,046 |
| 8 | 127.144.56.0/21 | 127.144.56.1 to 127.144.63.254 | 127.144.63.255 | 2,046 |
| 9 | 127.144.64.0/21 | 127.144.64.1 to 127.144.71.254 | 127.144.71.255 | 2,046 |
| 10 | 127.144.72.0/21 | 127.144.72.1 to 127.144.79.254 | 127.144.79.255 | 2,046 |
| 11 | 127.144.80.0/21 | 127.144.80.1 to 127.144.87.254 | 127.144.87.255 | 2,046 |
| 12 | 127.144.88.0/21 | 127.144.88.1 to 127.144.95.254 | 127.144.95.255 | 2,046 |
| 13 | 127.144.96.0/21 | 127.144.96.1 to 127.144.103.254 | 127.144.103.255 | 2,046 |
| 14 | 127.144.104.0/21 | 127.144.104.1 to 127.144.111.254 | 127.144.111.255 | 2,046 |
| 15 | 127.144.112.0/21 | 127.144.112.1 to 127.144.119.254 | 127.144.119.255 | 2,046 |
| 16 | 127.144.120.0/21 | 127.144.120.1 to 127.144.127.254 | 127.144.127.255 | 2,046 |
| 17 | 127.144.128.0/21 | 127.144.128.1 to 127.144.135.254 | 127.144.135.255 | 2,046 |
| 18 | 127.144.136.0/21 | 127.144.136.1 to 127.144.143.254 | 127.144.143.255 | 2,046 |
| 19 | 127.144.144.0/21 | 127.144.144.1 to 127.144.151.254 | 127.144.151.255 | 2,046 |
| 20 | 127.144.152.0/21 | 127.144.152.1 to 127.144.159.254 | 127.144.159.255 | 2,046 |
| 21 | 127.144.160.0/21 | 127.144.160.1 to 127.144.167.254 | 127.144.167.255 | 2,046 |
| 22 | 127.144.168.0/21 | 127.144.168.1 to 127.144.175.254 | 127.144.175.255 | 2,046 |
| 23 | 127.144.176.0/21 | 127.144.176.1 to 127.144.183.254 | 127.144.183.255 | 2,046 |
| 24 | 127.144.184.0/21 | 127.144.184.1 to 127.144.191.254 | 127.144.191.255 | 2,046 |
| 25 | 127.144.192.0/21 | 127.144.192.1 to 127.144.199.254 | 127.144.199.255 | 2,046 |
| 26 | 127.144.200.0/21 | 127.144.200.1 to 127.144.207.254 | 127.144.207.255 | 2,046 |
| 27 | 127.144.208.0/21 | 127.144.208.1 to 127.144.215.254 | 127.144.215.255 | 2,046 |
| 28 | 127.144.216.0/21 | 127.144.216.1 to 127.144.223.254 | 127.144.223.255 | 2,046 |
| 29 | 127.144.224.0/21 | 127.144.224.1 to 127.144.231.254 | 127.144.231.255 | 2,046 |
| 30 | 127.144.232.0/21 | 127.144.232.1 to 127.144.239.254 | 127.144.239.255 | 2,046 |
| 31 | 127.144.240.0/21 | 127.144.240.1 to 127.144.247.254 | 127.144.247.255 | 2,046 |
| 32 | 127.144.248.0/21 | 127.144.248.1 to 127.144.255.254 | 127.144.255.255 | 2,046 |
| 33 | 127.145.0.0/21 | 127.145.0.1 to 127.145.7.254 | 127.145.7.255 | 2,046 |
| 34 | 127.145.8.0/21 | 127.145.8.1 to 127.145.15.254 | 127.145.15.255 | 2,046 |
| 35 | 127.145.16.0/21 | 127.145.16.1 to 127.145.23.254 | 127.145.23.255 | 2,046 |
| 36 | 127.145.24.0/21 | 127.145.24.1 to 127.145.31.254 | 127.145.31.255 | 2,046 |
| 37 | 127.145.32.0/21 | 127.145.32.1 to 127.145.39.254 | 127.145.39.255 | 2,046 |
| 38 | 127.145.40.0/21 | 127.145.40.1 to 127.145.47.254 | 127.145.47.255 | 2,046 |
| 39 | 127.145.48.0/21 | 127.145.48.1 to 127.145.55.254 | 127.145.55.255 | 2,046 |
| 40 | 127.145.56.0/21 | 127.145.56.1 to 127.145.63.254 | 127.145.63.255 | 2,046 |
| 41 | 127.145.64.0/21 | 127.145.64.1 to 127.145.71.254 | 127.145.71.255 | 2,046 |
| 42 | 127.145.72.0/21 | 127.145.72.1 to 127.145.79.254 | 127.145.79.255 | 2,046 |
| 43 | 127.145.80.0/21 | 127.145.80.1 to 127.145.87.254 | 127.145.87.255 | 2,046 |
| 44 | 127.145.88.0/21 | 127.145.88.1 to 127.145.95.254 | 127.145.95.255 | 2,046 |
| 45 | 127.145.96.0/21 | 127.145.96.1 to 127.145.103.254 | 127.145.103.255 | 2,046 |
| 46 | 127.145.104.0/21 | 127.145.104.1 to 127.145.111.254 | 127.145.111.255 | 2,046 |
| 47 | 127.145.112.0/21 | 127.145.112.1 to 127.145.119.254 | 127.145.119.255 | 2,046 |
| 48 | 127.145.120.0/21 | 127.145.120.1 to 127.145.127.254 | 127.145.127.255 | 2,046 |
| 49 | 127.145.128.0/21 | 127.145.128.1 to 127.145.135.254 | 127.145.135.255 | 2,046 |
| 50 | 127.145.136.0/21 | 127.145.136.1 to 127.145.143.254 | 127.145.143.255 | 2,046 |
| 51 | 127.145.144.0/21 | 127.145.144.1 to 127.145.151.254 | 127.145.151.255 | 2,046 |
| 52 | 127.145.152.0/21 | 127.145.152.1 to 127.145.159.254 | 127.145.159.255 | 2,046 |
| 53 | 127.145.160.0/21 | 127.145.160.1 to 127.145.167.254 | 127.145.167.255 | 2,046 |
| 54 | 127.145.168.0/21 | 127.145.168.1 to 127.145.175.254 | 127.145.175.255 | 2,046 |
| 55 | 127.145.176.0/21 | 127.145.176.1 to 127.145.183.254 | 127.145.183.255 | 2,046 |
| 56 | 127.145.184.0/21 | 127.145.184.1 to 127.145.191.254 | 127.145.191.255 | 2,046 |
| 57 | 127.145.192.0/21 | 127.145.192.1 to 127.145.199.254 | 127.145.199.255 | 2,046 |
| 58 | 127.145.200.0/21 | 127.145.200.1 to 127.145.207.254 | 127.145.207.255 | 2,046 |
| 59 | 127.145.208.0/21 | 127.145.208.1 to 127.145.215.254 | 127.145.215.255 | 2,046 |
| 60 | 127.145.216.0/21 | 127.145.216.1 to 127.145.223.254 | 127.145.223.255 | 2,046 |
| 61 | 127.145.224.0/21 | 127.145.224.1 to 127.145.231.254 | 127.145.231.255 | 2,046 |
| 62 | 127.145.232.0/21 | 127.145.232.1 to 127.145.239.254 | 127.145.239.255 | 2,046 |
| 63 | 127.145.240.0/21 | 127.145.240.1 to 127.145.247.254 | 127.145.247.255 | 2,046 |
| 64 | 127.145.248.0/21 | 127.145.248.1 to 127.145.255.254 | 127.145.255.255 | 2,046 |
| 65 | 127.146.0.0/21 | 127.146.0.1 to 127.146.7.254 | 127.146.7.255 | 2,046 |
| 66 | 127.146.8.0/21 | 127.146.8.1 to 127.146.15.254 | 127.146.15.255 | 2,046 |
| 67 | 127.146.16.0/21 | 127.146.16.1 to 127.146.23.254 | 127.146.23.255 | 2,046 |
| 68 | 127.146.24.0/21 | 127.146.24.1 to 127.146.31.254 | 127.146.31.255 | 2,046 |
| 69 | 127.146.32.0/21 | 127.146.32.1 to 127.146.39.254 | 127.146.39.255 | 2,046 |
| 70 | 127.146.40.0/21 | 127.146.40.1 to 127.146.47.254 | 127.146.47.255 | 2,046 |
| 71 | 127.146.48.0/21 | 127.146.48.1 to 127.146.55.254 | 127.146.55.255 | 2,046 |
| 72 | 127.146.56.0/21 | 127.146.56.1 to 127.146.63.254 | 127.146.63.255 | 2,046 |
| 73 | 127.146.64.0/21 | 127.146.64.1 to 127.146.71.254 | 127.146.71.255 | 2,046 |
| 74 | 127.146.72.0/21 | 127.146.72.1 to 127.146.79.254 | 127.146.79.255 | 2,046 |
| 75 | 127.146.80.0/21 | 127.146.80.1 to 127.146.87.254 | 127.146.87.255 | 2,046 |
| 76 | 127.146.88.0/21 | 127.146.88.1 to 127.146.95.254 | 127.146.95.255 | 2,046 |
| 77 | 127.146.96.0/21 | 127.146.96.1 to 127.146.103.254 | 127.146.103.255 | 2,046 |
| 78 | 127.146.104.0/21 | 127.146.104.1 to 127.146.111.254 | 127.146.111.255 | 2,046 |
| 79 | 127.146.112.0/21 | 127.146.112.1 to 127.146.119.254 | 127.146.119.255 | 2,046 |
| 80 | 127.146.120.0/21 | 127.146.120.1 to 127.146.127.254 | 127.146.127.255 | 2,046 |
| 81 | 127.146.128.0/21 | 127.146.128.1 to 127.146.135.254 | 127.146.135.255 | 2,046 |
| 82 | 127.146.136.0/21 | 127.146.136.1 to 127.146.143.254 | 127.146.143.255 | 2,046 |
| 83 | 127.146.144.0/21 | 127.146.144.1 to 127.146.151.254 | 127.146.151.255 | 2,046 |
| 84 | 127.146.152.0/21 | 127.146.152.1 to 127.146.159.254 | 127.146.159.255 | 2,046 |
| 85 | 127.146.160.0/21 | 127.146.160.1 to 127.146.167.254 | 127.146.167.255 | 2,046 |
| 86 | 127.146.168.0/21 | 127.146.168.1 to 127.146.175.254 | 127.146.175.255 | 2,046 |
| 87 | 127.146.176.0/21 | 127.146.176.1 to 127.146.183.254 | 127.146.183.255 | 2,046 |
| 88 | 127.146.184.0/21 | 127.146.184.1 to 127.146.191.254 | 127.146.191.255 | 2,046 |
| 89 | 127.146.192.0/21 | 127.146.192.1 to 127.146.199.254 | 127.146.199.255 | 2,046 |
| 90 | 127.146.200.0/21 | 127.146.200.1 to 127.146.207.254 | 127.146.207.255 | 2,046 |
| 91 | 127.146.208.0/21 | 127.146.208.1 to 127.146.215.254 | 127.146.215.255 | 2,046 |
| 92 | 127.146.216.0/21 | 127.146.216.1 to 127.146.223.254 | 127.146.223.255 | 2,046 |
| 93 | 127.146.224.0/21 | 127.146.224.1 to 127.146.231.254 | 127.146.231.255 | 2,046 |
| 94 | 127.146.232.0/21 | 127.146.232.1 to 127.146.239.254 | 127.146.239.255 | 2,046 |
| 95 | 127.146.240.0/21 | 127.146.240.1 to 127.146.247.254 | 127.146.247.255 | 2,046 |
| 96 | 127.146.248.0/21 | 127.146.248.1 to 127.146.255.254 | 127.146.255.255 | 2,046 |
| 97 | 127.147.0.0/21 | 127.147.0.1 to 127.147.7.254 | 127.147.7.255 | 2,046 |
| 98 | 127.147.8.0/21 | 127.147.8.1 to 127.147.15.254 | 127.147.15.255 | 2,046 |
| 99 | 127.147.16.0/21 | 127.147.16.1 to 127.147.23.254 | 127.147.23.255 | 2,046 |
| 100 | 127.147.24.0/21 | 127.147.24.1 to 127.147.31.254 | 127.147.31.255 | 2,046 |
| 101 | 127.147.32.0/21 | 127.147.32.1 to 127.147.39.254 | 127.147.39.255 | 2,046 |
| 102 | 127.147.40.0/21 | 127.147.40.1 to 127.147.47.254 | 127.147.47.255 | 2,046 |
| 103 | 127.147.48.0/21 | 127.147.48.1 to 127.147.55.254 | 127.147.55.255 | 2,046 |
| 104 | 127.147.56.0/21 | 127.147.56.1 to 127.147.63.254 | 127.147.63.255 | 2,046 |
| 105 | 127.147.64.0/21 | 127.147.64.1 to 127.147.71.254 | 127.147.71.255 | 2,046 |
| 106 | 127.147.72.0/21 | 127.147.72.1 to 127.147.79.254 | 127.147.79.255 | 2,046 |
| 107 | 127.147.80.0/21 | 127.147.80.1 to 127.147.87.254 | 127.147.87.255 | 2,046 |
| 108 | 127.147.88.0/21 | 127.147.88.1 to 127.147.95.254 | 127.147.95.255 | 2,046 |
| 109 | 127.147.96.0/21 | 127.147.96.1 to 127.147.103.254 | 127.147.103.255 | 2,046 |
| 110 | 127.147.104.0/21 | 127.147.104.1 to 127.147.111.254 | 127.147.111.255 | 2,046 |
| 111 | 127.147.112.0/21 | 127.147.112.1 to 127.147.119.254 | 127.147.119.255 | 2,046 |
| 112 | 127.147.120.0/21 | 127.147.120.1 to 127.147.127.254 | 127.147.127.255 | 2,046 |
| 113 | 127.147.128.0/21 | 127.147.128.1 to 127.147.135.254 | 127.147.135.255 | 2,046 |
| 114 | 127.147.136.0/21 | 127.147.136.1 to 127.147.143.254 | 127.147.143.255 | 2,046 |
| 115 | 127.147.144.0/21 | 127.147.144.1 to 127.147.151.254 | 127.147.151.255 | 2,046 |
| 116 | 127.147.152.0/21 | 127.147.152.1 to 127.147.159.254 | 127.147.159.255 | 2,046 |
| 117 | 127.147.160.0/21 | 127.147.160.1 to 127.147.167.254 | 127.147.167.255 | 2,046 |
| 118 | 127.147.168.0/21 | 127.147.168.1 to 127.147.175.254 | 127.147.175.255 | 2,046 |
| 119 | 127.147.176.0/21 | 127.147.176.1 to 127.147.183.254 | 127.147.183.255 | 2,046 |
| 120 | 127.147.184.0/21 | 127.147.184.1 to 127.147.191.254 | 127.147.191.255 | 2,046 |
| 121 | 127.147.192.0/21 | 127.147.192.1 to 127.147.199.254 | 127.147.199.255 | 2,046 |
| 122 | 127.147.200.0/21 | 127.147.200.1 to 127.147.207.254 | 127.147.207.255 | 2,046 |
| 123 | 127.147.208.0/21 | 127.147.208.1 to 127.147.215.254 | 127.147.215.255 | 2,046 |
| 124 | 127.147.216.0/21 | 127.147.216.1 to 127.147.223.254 | 127.147.223.255 | 2,046 |
| 125 | 127.147.224.0/21 | 127.147.224.1 to 127.147.231.254 | 127.147.231.255 | 2,046 |
| 126 | 127.147.232.0/21 | 127.147.232.1 to 127.147.239.254 | 127.147.239.255 | 2,046 |
| 127 | 127.147.240.0/21 | 127.147.240.1 to 127.147.247.254 | 127.147.247.255 | 2,046 |
| 128 | 127.147.248.0/21 | 127.147.248.1 to 127.147.255.254 | 127.147.255.255 | 2,046 |
| 129 | 127.148.0.0/21 | 127.148.0.1 to 127.148.7.254 | 127.148.7.255 | 2,046 |
| 130 | 127.148.8.0/21 | 127.148.8.1 to 127.148.15.254 | 127.148.15.255 | 2,046 |
| 131 | 127.148.16.0/21 | 127.148.16.1 to 127.148.23.254 | 127.148.23.255 | 2,046 |
| 132 | 127.148.24.0/21 | 127.148.24.1 to 127.148.31.254 | 127.148.31.255 | 2,046 |
| 133 | 127.148.32.0/21 | 127.148.32.1 to 127.148.39.254 | 127.148.39.255 | 2,046 |
| 134 | 127.148.40.0/21 | 127.148.40.1 to 127.148.47.254 | 127.148.47.255 | 2,046 |
| 135 | 127.148.48.0/21 | 127.148.48.1 to 127.148.55.254 | 127.148.55.255 | 2,046 |
| 136 | 127.148.56.0/21 | 127.148.56.1 to 127.148.63.254 | 127.148.63.255 | 2,046 |
| 137 | 127.148.64.0/21 | 127.148.64.1 to 127.148.71.254 | 127.148.71.255 | 2,046 |
| 138 | 127.148.72.0/21 | 127.148.72.1 to 127.148.79.254 | 127.148.79.255 | 2,046 |
| 139 | 127.148.80.0/21 | 127.148.80.1 to 127.148.87.254 | 127.148.87.255 | 2,046 |
| 140 | 127.148.88.0/21 | 127.148.88.1 to 127.148.95.254 | 127.148.95.255 | 2,046 |
| 141 | 127.148.96.0/21 | 127.148.96.1 to 127.148.103.254 | 127.148.103.255 | 2,046 |
| 142 | 127.148.104.0/21 | 127.148.104.1 to 127.148.111.254 | 127.148.111.255 | 2,046 |
| 143 | 127.148.112.0/21 | 127.148.112.1 to 127.148.119.254 | 127.148.119.255 | 2,046 |
| 144 | 127.148.120.0/21 | 127.148.120.1 to 127.148.127.254 | 127.148.127.255 | 2,046 |
| 145 | 127.148.128.0/21 | 127.148.128.1 to 127.148.135.254 | 127.148.135.255 | 2,046 |
| 146 | 127.148.136.0/21 | 127.148.136.1 to 127.148.143.254 | 127.148.143.255 | 2,046 |
| 147 | 127.148.144.0/21 | 127.148.144.1 to 127.148.151.254 | 127.148.151.255 | 2,046 |
| 148 | 127.148.152.0/21 | 127.148.152.1 to 127.148.159.254 | 127.148.159.255 | 2,046 |
| 149 | 127.148.160.0/21 | 127.148.160.1 to 127.148.167.254 | 127.148.167.255 | 2,046 |
| 150 | 127.148.168.0/21 | 127.148.168.1 to 127.148.175.254 | 127.148.175.255 | 2,046 |
| 151 | 127.148.176.0/21 | 127.148.176.1 to 127.148.183.254 | 127.148.183.255 | 2,046 |
| 152 | 127.148.184.0/21 | 127.148.184.1 to 127.148.191.254 | 127.148.191.255 | 2,046 |
| 153 | 127.148.192.0/21 | 127.148.192.1 to 127.148.199.254 | 127.148.199.255 | 2,046 |
| 154 | 127.148.200.0/21 | 127.148.200.1 to 127.148.207.254 | 127.148.207.255 | 2,046 |
| 155 | 127.148.208.0/21 | 127.148.208.1 to 127.148.215.254 | 127.148.215.255 | 2,046 |
| 156 | 127.148.216.0/21 | 127.148.216.1 to 127.148.223.254 | 127.148.223.255 | 2,046 |
| 157 | 127.148.224.0/21 | 127.148.224.1 to 127.148.231.254 | 127.148.231.255 | 2,046 |
| 158 | 127.148.232.0/21 | 127.148.232.1 to 127.148.239.254 | 127.148.239.255 | 2,046 |
| 159 | 127.148.240.0/21 | 127.148.240.1 to 127.148.247.254 | 127.148.247.255 | 2,046 |
| 160 | 127.148.248.0/21 | 127.148.248.1 to 127.148.255.254 | 127.148.255.255 | 2,046 |
| 161 | 127.149.0.0/21 | 127.149.0.1 to 127.149.7.254 | 127.149.7.255 | 2,046 |
| 162 | 127.149.8.0/21 | 127.149.8.1 to 127.149.15.254 | 127.149.15.255 | 2,046 |
| 163 | 127.149.16.0/21 | 127.149.16.1 to 127.149.23.254 | 127.149.23.255 | 2,046 |
| 164 | 127.149.24.0/21 | 127.149.24.1 to 127.149.31.254 | 127.149.31.255 | 2,046 |
| 165 | 127.149.32.0/21 | 127.149.32.1 to 127.149.39.254 | 127.149.39.255 | 2,046 |
| 166 | 127.149.40.0/21 | 127.149.40.1 to 127.149.47.254 | 127.149.47.255 | 2,046 |
| 167 | 127.149.48.0/21 | 127.149.48.1 to 127.149.55.254 | 127.149.55.255 | 2,046 |
| 168 | 127.149.56.0/21 | 127.149.56.1 to 127.149.63.254 | 127.149.63.255 | 2,046 |
| 169 | 127.149.64.0/21 | 127.149.64.1 to 127.149.71.254 | 127.149.71.255 | 2,046 |
| 170 | 127.149.72.0/21 | 127.149.72.1 to 127.149.79.254 | 127.149.79.255 | 2,046 |
| 171 | 127.149.80.0/21 | 127.149.80.1 to 127.149.87.254 | 127.149.87.255 | 2,046 |
| 172 | 127.149.88.0/21 | 127.149.88.1 to 127.149.95.254 | 127.149.95.255 | 2,046 |
| 173 | 127.149.96.0/21 | 127.149.96.1 to 127.149.103.254 | 127.149.103.255 | 2,046 |
| 174 | 127.149.104.0/21 | 127.149.104.1 to 127.149.111.254 | 127.149.111.255 | 2,046 |
| 175 | 127.149.112.0/21 | 127.149.112.1 to 127.149.119.254 | 127.149.119.255 | 2,046 |
| 176 | 127.149.120.0/21 | 127.149.120.1 to 127.149.127.254 | 127.149.127.255 | 2,046 |
| 177 | 127.149.128.0/21 | 127.149.128.1 to 127.149.135.254 | 127.149.135.255 | 2,046 |
| 178 | 127.149.136.0/21 | 127.149.136.1 to 127.149.143.254 | 127.149.143.255 | 2,046 |
| 179 | 127.149.144.0/21 | 127.149.144.1 to 127.149.151.254 | 127.149.151.255 | 2,046 |
| 180 | 127.149.152.0/21 | 127.149.152.1 to 127.149.159.254 | 127.149.159.255 | 2,046 |
| 181 | 127.149.160.0/21 | 127.149.160.1 to 127.149.167.254 | 127.149.167.255 | 2,046 |
| 182 | 127.149.168.0/21 | 127.149.168.1 to 127.149.175.254 | 127.149.175.255 | 2,046 |
| 183 | 127.149.176.0/21 | 127.149.176.1 to 127.149.183.254 | 127.149.183.255 | 2,046 |
| 184 | 127.149.184.0/21 | 127.149.184.1 to 127.149.191.254 | 127.149.191.255 | 2,046 |
| 185 | 127.149.192.0/21 | 127.149.192.1 to 127.149.199.254 | 127.149.199.255 | 2,046 |
| 186 | 127.149.200.0/21 | 127.149.200.1 to 127.149.207.254 | 127.149.207.255 | 2,046 |
| 187 | 127.149.208.0/21 | 127.149.208.1 to 127.149.215.254 | 127.149.215.255 | 2,046 |
| 188 | 127.149.216.0/21 | 127.149.216.1 to 127.149.223.254 | 127.149.223.255 | 2,046 |
| 189 | 127.149.224.0/21 | 127.149.224.1 to 127.149.231.254 | 127.149.231.255 | 2,046 |
| 190 | 127.149.232.0/21 | 127.149.232.1 to 127.149.239.254 | 127.149.239.255 | 2,046 |
| 191 | 127.149.240.0/21 | 127.149.240.1 to 127.149.247.254 | 127.149.247.255 | 2,046 |
| 192 | 127.149.248.0/21 | 127.149.248.1 to 127.149.255.254 | 127.149.255.255 | 2,046 |
| 193 | 127.150.0.0/21 | 127.150.0.1 to 127.150.7.254 | 127.150.7.255 | 2,046 |
| 194 | 127.150.8.0/21 | 127.150.8.1 to 127.150.15.254 | 127.150.15.255 | 2,046 |
| 195 | 127.150.16.0/21 | 127.150.16.1 to 127.150.23.254 | 127.150.23.255 | 2,046 |
| 196 | 127.150.24.0/21 | 127.150.24.1 to 127.150.31.254 | 127.150.31.255 | 2,046 |
| 197 | 127.150.32.0/21 | 127.150.32.1 to 127.150.39.254 | 127.150.39.255 | 2,046 |
| 198 | 127.150.40.0/21 | 127.150.40.1 to 127.150.47.254 | 127.150.47.255 | 2,046 |
| 199 | 127.150.48.0/21 | 127.150.48.1 to 127.150.55.254 | 127.150.55.255 | 2,046 |
| 200 | 127.150.56.0/21 | 127.150.56.1 to 127.150.63.254 | 127.150.63.255 | 2,046 |
| 201 | 127.150.64.0/21 | 127.150.64.1 to 127.150.71.254 | 127.150.71.255 | 2,046 |
| 202 | 127.150.72.0/21 | 127.150.72.1 to 127.150.79.254 | 127.150.79.255 | 2,046 |
| 203 | 127.150.80.0/21 | 127.150.80.1 to 127.150.87.254 | 127.150.87.255 | 2,046 |
| 204 | 127.150.88.0/21 | 127.150.88.1 to 127.150.95.254 | 127.150.95.255 | 2,046 |
| 205 | 127.150.96.0/21 | 127.150.96.1 to 127.150.103.254 | 127.150.103.255 | 2,046 |
| 206 | 127.150.104.0/21 | 127.150.104.1 to 127.150.111.254 | 127.150.111.255 | 2,046 |
| 207 | 127.150.112.0/21 | 127.150.112.1 to 127.150.119.254 | 127.150.119.255 | 2,046 |
| 208 | 127.150.120.0/21 | 127.150.120.1 to 127.150.127.254 | 127.150.127.255 | 2,046 |
| 209 | 127.150.128.0/21 | 127.150.128.1 to 127.150.135.254 | 127.150.135.255 | 2,046 |
| 210 | 127.150.136.0/21 | 127.150.136.1 to 127.150.143.254 | 127.150.143.255 | 2,046 |
| 211 | 127.150.144.0/21 | 127.150.144.1 to 127.150.151.254 | 127.150.151.255 | 2,046 |
| 212 | 127.150.152.0/21 | 127.150.152.1 to 127.150.159.254 | 127.150.159.255 | 2,046 |
| 213 | 127.150.160.0/21 | 127.150.160.1 to 127.150.167.254 | 127.150.167.255 | 2,046 |
| 214 | 127.150.168.0/21 | 127.150.168.1 to 127.150.175.254 | 127.150.175.255 | 2,046 |
| 215 | 127.150.176.0/21 | 127.150.176.1 to 127.150.183.254 | 127.150.183.255 | 2,046 |
| 216 | 127.150.184.0/21 | 127.150.184.1 to 127.150.191.254 | 127.150.191.255 | 2,046 |
| 217 | 127.150.192.0/21 | 127.150.192.1 to 127.150.199.254 | 127.150.199.255 | 2,046 |
| 218 | 127.150.200.0/21 | 127.150.200.1 to 127.150.207.254 | 127.150.207.255 | 2,046 |
| 219 | 127.150.208.0/21 | 127.150.208.1 to 127.150.215.254 | 127.150.215.255 | 2,046 |
| 220 | 127.150.216.0/21 | 127.150.216.1 to 127.150.223.254 | 127.150.223.255 | 2,046 |
| 221 | 127.150.224.0/21 | 127.150.224.1 to 127.150.231.254 | 127.150.231.255 | 2,046 |
| 222 | 127.150.232.0/21 | 127.150.232.1 to 127.150.239.254 | 127.150.239.255 | 2,046 |
| 223 | 127.150.240.0/21 | 127.150.240.1 to 127.150.247.254 | 127.150.247.255 | 2,046 |
| 224 | 127.150.248.0/21 | 127.150.248.1 to 127.150.255.254 | 127.150.255.255 | 2,046 |
| 225 | 127.151.0.0/21 | 127.151.0.1 to 127.151.7.254 | 127.151.7.255 | 2,046 |
| 226 | 127.151.8.0/21 | 127.151.8.1 to 127.151.15.254 | 127.151.15.255 | 2,046 |
| 227 | 127.151.16.0/21 | 127.151.16.1 to 127.151.23.254 | 127.151.23.255 | 2,046 |
| 228 | 127.151.24.0/21 | 127.151.24.1 to 127.151.31.254 | 127.151.31.255 | 2,046 |
| 229 | 127.151.32.0/21 | 127.151.32.1 to 127.151.39.254 | 127.151.39.255 | 2,046 |
| 230 | 127.151.40.0/21 | 127.151.40.1 to 127.151.47.254 | 127.151.47.255 | 2,046 |
| 231 | 127.151.48.0/21 | 127.151.48.1 to 127.151.55.254 | 127.151.55.255 | 2,046 |
| 232 | 127.151.56.0/21 | 127.151.56.1 to 127.151.63.254 | 127.151.63.255 | 2,046 |
| 233 | 127.151.64.0/21 | 127.151.64.1 to 127.151.71.254 | 127.151.71.255 | 2,046 |
| 234 | 127.151.72.0/21 | 127.151.72.1 to 127.151.79.254 | 127.151.79.255 | 2,046 |
| 235 | 127.151.80.0/21 | 127.151.80.1 to 127.151.87.254 | 127.151.87.255 | 2,046 |
| 236 | 127.151.88.0/21 | 127.151.88.1 to 127.151.95.254 | 127.151.95.255 | 2,046 |
| 237 | 127.151.96.0/21 | 127.151.96.1 to 127.151.103.254 | 127.151.103.255 | 2,046 |
| 238 | 127.151.104.0/21 | 127.151.104.1 to 127.151.111.254 | 127.151.111.255 | 2,046 |
| 239 | 127.151.112.0/21 | 127.151.112.1 to 127.151.119.254 | 127.151.119.255 | 2,046 |
| 240 | 127.151.120.0/21 | 127.151.120.1 to 127.151.127.254 | 127.151.127.255 | 2,046 |
| 241 | 127.151.128.0/21 | 127.151.128.1 to 127.151.135.254 | 127.151.135.255 | 2,046 |
| 242 | 127.151.136.0/21 | 127.151.136.1 to 127.151.143.254 | 127.151.143.255 | 2,046 |
| 243 | 127.151.144.0/21 | 127.151.144.1 to 127.151.151.254 | 127.151.151.255 | 2,046 |
| 244 | 127.151.152.0/21 | 127.151.152.1 to 127.151.159.254 | 127.151.159.255 | 2,046 |
| 245 | 127.151.160.0/21 | 127.151.160.1 to 127.151.167.254 | 127.151.167.255 | 2,046 |
| 246 | 127.151.168.0/21 | 127.151.168.1 to 127.151.175.254 | 127.151.175.255 | 2,046 |
| 247 | 127.151.176.0/21 | 127.151.176.1 to 127.151.183.254 | 127.151.183.255 | 2,046 |
| 248 | 127.151.184.0/21 | 127.151.184.1 to 127.151.191.254 | 127.151.191.255 | 2,046 |
| 249 | 127.151.192.0/21 | 127.151.192.1 to 127.151.199.254 | 127.151.199.255 | 2,046 |
| 250 | 127.151.200.0/21 | 127.151.200.1 to 127.151.207.254 | 127.151.207.255 | 2,046 |
| 251 | 127.151.208.0/21 | 127.151.208.1 to 127.151.215.254 | 127.151.215.255 | 2,046 |
| 252 | 127.151.216.0/21 | 127.151.216.1 to 127.151.223.254 | 127.151.223.255 | 2,046 |
| 253 | 127.151.224.0/21 | 127.151.224.1 to 127.151.231.254 | 127.151.231.255 | 2,046 |
| 254 | 127.151.232.0/21 | 127.151.232.1 to 127.151.239.254 | 127.151.239.255 | 2,046 |
| 255 | 127.151.240.0/21 | 127.151.240.1 to 127.151.247.254 | 127.151.247.255 | 2,046 |
| 256 | 127.151.248.0/21 | 127.151.248.1 to 127.151.255.254 | 127.151.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |